### Method

# Foundry DependencyManager update_dependencies

#### Declaration [src]

    DexFuture*
    foundry_dependency_manager_update_dependencies (
      FoundryDependencyManager* self,
      FoundryConfig* config,
      int pty_fd,
      DexCancellable* cancellable
    )

#### Description

No description available.

#### Parameters

`config`

  Type: `FoundryConfig`

  No description available.

  The data is owned by the caller of the method.

`pty_fd`

  Type: `int`

  No description available.

`cancellable`

  Type: `DexCancellable`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.